subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From danie...@apache.org
Subject svn commit: r1850422 - in /subversion/site/tools: escape.py generate-upcoming-changes-log.sh
Date Fri, 04 Jan 2019 18:49:03 GMT
Author: danielsh
Date: Fri Jan  4 18:49:03 2019
New Revision: 1850422

URL: http://svn.apache.org/viewvc?rev=1850422&view=rev
Log:
Move a cronjob to a script.

* tools/generate-upcoming-changes-log.sh: New, moved from ~svnsvn's crontab.
* tools/escape.py: Move a print to the above script.

Added:
    subversion/site/tools/generate-upcoming-changes-log.sh
Modified:
    subversion/site/tools/escape.py

Modified: subversion/site/tools/escape.py
URL: http://svn.apache.org/viewvc/subversion/site/tools/escape.py?rev=1850422&r1=1850421&r2=1850422&view=diff
==============================================================================
--- subversion/site/tools/escape.py (original)
+++ subversion/site/tools/escape.py Fri Jan  4 18:49:03 2019
@@ -9,7 +9,6 @@ import re
 revision_numbers = re.compile(r'r(\d+)')
 issue_references = re.compile(r'((?:SVN-|issue [#]?)(\d+))')
 
-print("<!-- Automatically generated by ^/subversion/site/tools/escape.py -->")
 for line in fileinput.input():
     line = html.escape(line)
     # ### Hardcode target="_parent" because that's what our caller needs.

Added: subversion/site/tools/generate-upcoming-changes-log.sh
URL: http://svn.apache.org/viewvc/subversion/site/tools/generate-upcoming-changes-log.sh?rev=1850422&view=auto
==============================================================================
--- subversion/site/tools/generate-upcoming-changes-log.sh (added)
+++ subversion/site/tools/generate-upcoming-changes-log.sh Fri Jan  4 18:49:03 2019
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+: ${SVN:=svn}
+
+~/src/svn/site/tools/upcoming.py |
+  {
+    echo "<!-- Automatically generated by ^/subversion/site/tools/generate-upcoming-changes-log.sh
-->"
+    echo "<pre>"
+    ~/src/svn/site/tools/escape.py
+    echo "</pre>"
+  } > ~/src/svn/site/staging/upcoming.part.html
+
+${SVN} commit ~/src/svn/site/staging/upcoming.part.html -m "* upcoming.part.html: Automatically
regenerated"



Mime
View raw message